EDIT - feature request #5174
task # 4303 (Closed): [MASTER] Fauna Europaea Taxonomic Experts in the CDM [DISCUSS]

web services for experts implemented
08/31/2015 12:09 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 3.12

Severity: normal

Description

this is a prerequisite for all experts related data portal activities.

History

#1 -11/17/2015 03:18 PM - Andreas Kohlbecker
- Status changed from New to Resolved
all implemented:

® b014351 [r26440 implementing full stack of methods to expose TaxonNodeAgentRelations ...|* fe33102 r26418] introducing
AgentPortalController

e 798120f r26417 implementing full stack of methods to expose TaxonNodeAgentRelations ...

#2 - 11/18/2015 10:27 AM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Miller
for reviewing please take the following REST services into account:
e http://test.e-taxonomy.eu/cdmserver/fauna_europaea/doc/?group=Generic+REST+API#!/agent/doGetTaxonNodeAgentRelations

e http://test.e-taxonomy.eu/cdmserver/fauna_europaea/doc/?group=Generic+REST+API#!/taxon/doGetTaxonNodeAgentRelations

e http:/test.e-taxonomy.eu/cdmserver/fauna_europaea/doc/?group=Web%20Portal%20Services#!/portal_taxon/doGetTaxonNodeAgentRelations

And check the implementation in TaxonNodeDaoHibernatelmpl since this covers most of the functionality.
#3 - 11/18/2015 10:57 AM - Andreas Kohlbecker
additional changes:
e 887fec0 r26450 relationship type as additinal filter option for TaxonNodeAgentRelation services - Andreas Kohlbecker
#4 - 02/22/2022 02:50 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 0 to 100

| guess we can close this ticket. Even if not all webservices might be fully implemented there is currently no need for further functionality.

#5 - 02/22/2022 02:50 PM - Andreas Miuller

- Private changed from Yes to No
